<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.frontend.theme.favicon.servlet.internal.FaviconServlet" immediate="true">
  <property name="osgi.http.whiteboard.servlet.pattern" type="String" value="/favicon/*"/>
  <property name="osgi.http.whiteboard.servlet.name" type="String" value="com.liferay.frontend.theme.favicon.servlet.internal.FaviconServlet"/>
  <property name="osgi.http.whiteboard.context.path" type="String" value="/favicon"/>
  <service>
    <provide interface="com.liferay.frontend.theme.favicon.servlet.internal.FaviconServlet"/>
    <provide interface="javax.servlet.Servlet"/>
  </service>
  <reference name="_cetManager" interface="com.liferay.client.extension.type.manager.CETManager" field="_cetManager"/>
  <reference name="_clientExtensionEntryRelLocalService" interface="com.liferay.client.extension.service.ClientExtensionEntryRelLocalService" field="_clientExtensionEntryRelLocalService"/>
  <reference name="_groupLocalService" interface="com.liferay.portal.kernel.service.GroupLocalService" field="_groupLocalService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.frontend.theme.favicon.servlet.internal.FaviconServlet"/>
</scr:component>
